Target Accounts
Create Target Account
Add target accounts for opportunity prioritization
POST
/
target-accounts
{
"company_name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
{
"target_companies": [
{
"name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
},
{
"name": "Globex Inc",
"linkedin_url": "https://www.linkedin.com/company/globex"
}
]
}
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"company_name": "Acme Corp", "linkedin_url": "https://www.linkedin.com/company/acme-corp"}'
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_companies": [{"name": "Acme Corp"}, {"name": "Globex Inc"}]}'
import requests
requests.post(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={"company_name": "Acme Corp"},
)
{
"success": true,
"data": {
"message": "Target companies created successfully",
"count": 1
}
}
{
"success": false,
"error": {
"message": "No target companies provided",
"code": "BAD_REQUEST"
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}
Two formats supported:
| Format | Behavior |
|---|---|
| Single object | Adds one account, keeps existing |
| Batch array | Replaces all existing accounts |
Body (Single)
string
required
Company name
string
Company LinkedIn URL
Body (Batch)
object[]
required
{
"company_name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
{
"target_companies": [
{
"name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
},
{
"name": "Globex Inc",
"linkedin_url": "https://www.linkedin.com/company/globex"
}
]
}
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"company_name": "Acme Corp", "linkedin_url": "https://www.linkedin.com/company/acme-corp"}'
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_companies": [{"name": "Acme Corp"}, {"name": "Globex Inc"}]}'
import requests
requests.post(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={"company_name": "Acme Corp"},
)
{
"success": true,
"data": {
"message": "Target companies created successfully",
"count": 1
}
}
{
"success": false,
"error": {
"message": "No target companies provided",
"code": "BAD_REQUEST"
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}
⌘I
{
"company_name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
{
"target_companies": [
{
"name": "Acme Corp",
"linkedin_url": "https://www.linkedin.com/company/acme-corp"
},
{
"name": "Globex Inc",
"linkedin_url": "https://www.linkedin.com/company/globex"
}
]
}
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"company_name": "Acme Corp", "linkedin_url": "https://www.linkedin.com/company/acme-corp"}'
curl -X POST https://api.clustr-ai.com/api/public/target-accounts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_companies": [{"name": "Acme Corp"}, {"name": "Globex Inc"}]}'
import requests
requests.post(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={"company_name": "Acme Corp"},
)
{
"success": true,
"data": {
"message": "Target companies created successfully",
"count": 1
}
}
{
"success": false,
"error": {
"message": "No target companies provided",
"code": "BAD_REQUEST"
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}